{% extends "base.html" %}
{% load static %}
{% block css %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" rel="stylesheet" type="text/css">
<link href="{% static 'css/style.css' %}" rel="stylesheet" type="text/css">
{% endblock %}

{% block content %}
<section class="timeline-carousel">
    <h1>Methodology</h1>
    <div class="timeline-carousel__item-wrapper" data-js="timeline-carousel">
        <!--Timeline item-->
        <div class="timeline-carousel__item">
            <div class="timeline-carousel__image">
                <div class="media-wrapper media-wrapper--overlay"
                    style="background: url('{% static 'images/result/plate.png' %}') center center; background-size:cover;">
                </div>
            </div>
            <div class="timeline-carousel__item-inner">
                <span class="year">PLATE IMAGE</span>
                <span class="month"></span>
                <p style="font-size:1.3rem;">Detect License Plate</p>
                <a href="#" class="read-more"></a>
            </div>
        </div>
        <!--/Timeline item-->

        <!--Timeline item-->
        <div class="timeline-carousel__item">
            <div class="timeline-carousel__image">
                <div class="media-wrapper media-wrapper--overlay"
                    style="background: url('{% static 'images/result/segmented.png' %}') center center no-repeat; background-size:contain;">
                </div>
            </div>
            <div class="timeline-carousel__item-inner">
                <div class="year">SEGMENTED PLATE</div>
                <span class="month"></span>
                <p style="font-size:1.3rem;">Perform segmentation of characters</p>
                <a href="#" class="read-more"></a>
            </div>
        </div>
        <!--/Timeline item-->

        <!--Timeline item-->
        <div class="timeline-carousel__item">
            <div class="timeline-carousel__image">
                <div class="media-wrapper media-wrapper--overlay"
                    style="background: url('https://dummyimage.com/600x400/000/fff&text={{ plate }}') center center; background-size:contain;">
                </div>
            </div>
            <div class="timeline-carousel__item-inner">
                <span class="year">PREDICT PLATE</span>
                <span class="month"></span>
                <p></p>
                <a href="#" class="read-more"></a>
            </div>
        </div>
        <!--/Timeline item-->
    </div>
</section>
<!--Timeline carousel-->
{% endblock %}

{% block js %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.js"></script>
<script>

    $.js = function (el) {
        return $('[data-js=' + el + ']')
    };

    function carousel() {
        $.js('timeline-carousel').slick({
            infinite: false,
            arrows: false,
            dots: true,
            autoplay: false,
            speed: 1100,
            slidesToShow: 2,
            slidesToScroll: 2,
            responsive: [
                {
                    breakpoint: 800,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }]
        });
    }

    carousel();
</script>
{% endblock %}